columns:
  article_reference_cacic_code:
    type: text
    default: "''::text"
  article_reference_cacic_id:
    type: bigint
    default: "0"
  article_reference_cacic_section_code:
    type: 'text[]'
  article_reference_cacic_section_id:
    type: 'bigint[]'
  article_reference_cacic_section_texte:
    type: 'text[]'
  article_reference_cacic_texte:
    type: text
    default: "''::text"
  article_reference_cti_code:
    type: text
    default: "''::text"
  article_reference_cti_id:
    type: bigint
    default: "0"
  article_reference_cti_section_code:
    type: 'text[]'
  article_reference_cti_section_id:
    type: 'bigint[]'
  article_reference_cti_section_texte:
    type: 'text[]'
  article_reference_cti_texte:
    type: text
    default: "''::text"
  categorie_code:
    type: character varying(30)
    default: "''::character varying"
  categorie_id:
    type: bigint
    default: "0"
  categorie_section1_code:
    type: character varying(10)
    default: "''::character varying"
  categorie_section1_id:
    type: bigint
    default: "0"
  categorie_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  categorie_section2_code:
    type: character varying(10)
    default: "''::character varying"
  categorie_section2_id:
    type: bigint
    default: "0"
  categorie_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  categorie_section3_code:
    type: character varying(10)
    default: "''::character varying"
  categorie_section3_id:
    type: bigint
    default: "0"
  categorie_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  categorie_section_code:
    type: 'text[]'
  categorie_section_id:
    type: 'bigint[]'
  categorie_section_texte:
    type: 'text[]'
  categorie_texte:
    type: character varying(250)
    default: "''::character varying"
  classification_atc_1_code:
    type: character varying(30)
    default: "''::character varying"
  classification_atc_1_id:
    type: bigint
    default: "0"
  classification_atc_1_texte:
    type: character varying(255)
    default: "''::character varying"
  classification_atc_2_code:
    type: character varying(30)
    default: "''::character varying"
  classification_atc_2_id:
    type: bigint
    default: "0"
  classification_atc_2_texte:
    type: character varying(255)
    default: "''::character varying"
  classification_atc_3_code:
    type: character varying(30)
    default: "''::character varying"
  classification_atc_3_id:
    type: bigint
    default: "0"
  classification_atc_3_texte:
    type: character varying(255)
    default: "''::character varying"
  classification_atc_4_code:
    type: character varying(30)
    default: "''::character varying"
  classification_atc_4_id:
    type: bigint
    default: "0"
  classification_atc_4_texte:
    type: character varying(255)
    default: "''::character varying"
  classification_atc_code:
    type: character varying(30)
    default: "''::character varying"
  classification_atc_id:
    type: bigint
    default: "0"
  classification_atc_section_code:
    type: 'character varying(10)[]'
  classification_atc_section_id:
    type: 'bigint[]'
  classification_atc_section_texte:
    type: 'character varying(255)[]'
  classification_atc_texte:
    type: character varying(250)
    default: "''::character varying"
  code:
    type: character varying(30)
    default: "''::character varying"
  code_original:
    type: text
    not_null: NOT NULL
  code_ucd13:
    type: text
    default: "''::text"
  compte_code:
    type: text
    default: "''::character varying"
  compte_id:
    type: bigint
    default: "0"
  compte_section_code:
    type: 'text[]'
  compte_section_id:
    type: 'bigint[]'
  compte_section_texte:
    type: 'text[]'
  compte_texte:
    type: text
    default: "''::character varying"
  est_inactif:
    type: character(1)
    default: "''::character varying"
  famille_code:
    type: character varying(30)
    default: "''::character varying"
  famille_id:
    type: bigint
    default: "0"
  famille_section1_code:
    type: character varying(10)
    default: "''::character varying"
  famille_section1_id:
    type: bigint
    default: "0"
  famille_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  famille_section2_code:
    type: character varying(10)
    default: "''::character varying"
  famille_section2_id:
    type: bigint
    default: "0"
  famille_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  famille_section3_code:
    type: character varying(10)
    default: "''::character varying"
  famille_section3_id:
    type: bigint
    default: "0"
  famille_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  famille_section_code:
    type: 'text[]'
  famille_section_id:
    type: 'bigint[]'
  famille_section_texte:
    type: 'text[]'
  famille_texte:
    type: character varying(250)
    default: "''::character varying"
  fournisseur_principal_id:
    type: bigint
  gere_en_stock:
    type: character(1)
    default: "''::character varying"
  lpp_id:
    type: bigint
    default: "0"
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_articles'::regclass)"
  ref_fournisseur_code:
    type: 'text[]'
  ref_fournisseur_id:
    type: 'bigint[]'
  ref_fournisseur_texte:
    type: 'text[]'
  section1_code:
    type: character varying(10)
    default: "''::character varying"
  section1_id:
    type: bigint
    default: "0"
  section1_texte:
    type: character varying(255)
    default: "''::character varying"
  section2_code:
    type: character varying(10)
    default: "''::character varying"
  section2_id:
    type: bigint
    default: "0"
  section2_texte:
    type: character varying(255)
    default: "''::character varying"
  section3_code:
    type: character varying(10)
    default: "''::character varying"
  section3_id:
    type: bigint
    default: "0"
  section3_texte:
    type: character varying(255)
    default: "''::character varying"
  section_code:
    type: 'text[]'
  section_id:
    type: 'bigint[]'
  section_texte:
    type: 'text[]'
  sous_categorie_code:
    type: character varying(30)
    default: "''::character varying"
  sous_categorie_id:
    type: bigint
    default: "0"
  sous_categorie_section1_code:
    type: character varying(10)
    default: "''::character varying"
  sous_categorie_section1_id:
    type: bigint
    default: "0"
  sous_categorie_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_categorie_section2_code:
    type: character varying(10)
    default: "''::character varying"
  sous_categorie_section2_id:
    type: bigint
    default: "0"
  sous_categorie_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_categorie_section3_code:
    type: character varying(10)
    default: "''::character varying"
  sous_categorie_section3_id:
    type: bigint
    default: "0"
  sous_categorie_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_categorie_section_code:
    type: 'text[]'
  sous_categorie_section_id:
    type: 'bigint[]'
  sous_categorie_section_texte:
    type: 'text[]'
  sous_categorie_texte:
    type: character varying(250)
    default: "''::character varying"
  sous_famille_code:
    type: character varying(30)
    default: "''::character varying"
  sous_famille_id:
    type: bigint
    default: "0"
  sous_famille_section1_code:
    type: character varying(10)
    default: "''::character varying"
  sous_famille_section1_id:
    type: bigint
    default: "0"
  sous_famille_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_famille_section2_code:
    type: character varying(10)
    default: "''::character varying"
  sous_famille_section2_id:
    type: bigint
    default: "0"
  sous_famille_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_famille_section3_code:
    type: character varying(10)
    default: "''::character varying"
  sous_famille_section3_id:
    type: bigint
    default: "0"
  sous_famille_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  sous_famille_section_code:
    type: 'text[]'
  sous_famille_section_id:
    type: 'bigint[]'
  sous_famille_section_texte:
    type: 'text[]'
  sous_famille_texte:
    type: character varying(250)
    default: "''::character varying"
  stock_en_depot:
    type: character(1)
    default: "''::bpchar"
  taux_tva_en_cours:
    type: numeric
    default: "0"
  texte:
    type: character varying(255)
  texte_court:
    type: character varying(50)
  type_article_cti_id:
    type: bigint
    default: "0"
  type_code:
    type: character varying(30)
    default: "''::character varying"
  type_id:
    type: bigint
    default: "0"
  type_prorata_tva:
    type: character(1)
    default: "''::character varying"
  type_section1_code:
    type: character varying(10)
    default: "''::character varying"
  type_section1_id:
    type: bigint
    default: "0"
  type_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section2_code:
    type: character varying(10)
    default: "''::character varying"
  type_section2_id:
    type: bigint
    default: "0"
  type_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section3_code:
    type: character varying(10)
    default: "''::character varying"
  type_section3_id:
    type: bigint
    default: "0"
  type_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section_code:
    type: 'text[]'
  type_section_id:
    type: 'bigint[]'
  type_section_texte:
    type: 'text[]'
  type_texte:
    type: character varying(250)
    default: "''::character varying"
  type_valorisation_cti_stock:
    type: character(1)
    default: "''::character varying"
  ucd_id:
    type: bigint
    default: "0"
  unite_distribution_code:
    type: character varying(30)
    default: "''::character varying"
  unite_distribution_id:
    type: bigint
    default: "0"
  unite_distribution_section1_code:
    type: character varying(10)
    default: "''::character varying"
  unite_distribution_section1_id:
    type: bigint
    default: "0"
  unite_distribution_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_distribution_section2_code:
    type: character varying(10)
    default: "''::character varying"
  unite_distribution_section2_id:
    type: bigint
    default: "0"
  unite_distribution_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_distribution_section3_code:
    type: character varying(10)
    default: "''::character varying"
  unite_distribution_section3_id:
    type: bigint
    default: "0"
  unite_distribution_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_distribution_section_code:
    type: 'text[]'
  unite_distribution_section_id:
    type: 'bigint[]'
  unite_distribution_section_texte:
    type: 'text[]'
  unite_distribution_texte:
    type: character varying(250)
    default: "''::character varying"
  unite_stockage_code:
    type: character varying(30)
    default: "''::character varying"
  unite_stockage_id:
    type: bigint
    default: "0"
  unite_stockage_section1_code:
    type: character varying(10)
    default: "''::character varying"
  unite_stockage_section1_id:
    type: bigint
    default: "0"
  unite_stockage_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_stockage_section2_code:
    type: character varying(10)
    default: "''::character varying"
  unite_stockage_section2_id:
    type: bigint
    default: "0"
  unite_stockage_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_stockage_section3_code:
    type: character varying(10)
    default: "''::character varying"
  unite_stockage_section3_id:
    type: bigint
    default: "0"
  unite_stockage_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  unite_stockage_section_code:
    type: 'text[]'
  unite_stockage_section_id:
    type: 'bigint[]'
  unite_stockage_section_texte:
    type: 'text[]'
  unite_stockage_texte:
    type: character varying(250)
    default: "''::character varying"
constraints:
  t_articles_pkey:
    type: PRIMARY KEY
    column: oid
  t_articles_ukey:
    type: UNIQUE
    column: code_original
indexes:
  i_articles_article_reference_cacic_id:
    column: article_reference_cacic_id
    method: btree
  i_articles_article_reference_cacic_section_id1:
    column: '(article_reference_cacic_section_id[1])'
    method: btree
  i_articles_article_reference_cacic_section_id2:
    column: '(article_reference_cacic_section_id[2])'
    method: btree
  i_articles_article_reference_cacic_section_id3:
    column: '(article_reference_cacic_section_id[3])'
    method: btree
  i_articles_article_reference_cti_id:
    column: article_reference_cti_id
    method: btree
  i_articles_article_reference_cti_section_id1:
    column: '(article_reference_cti_section_id[1])'
    method: btree
  i_articles_article_reference_cti_section_id2:
    column: '(article_reference_cti_section_id[2])'
    method: btree
  i_articles_article_reference_cti_section_id3:
    column: '(article_reference_cti_section_id[3])'
    method: btree
  i_articles_categorie_id:
    column: categorie_id
    method: btree
  i_articles_categorie_section_id1:
    column: '(categorie_section_id[1])'
    method: btree
  i_articles_categorie_section_id2:
    column: '(categorie_section_id[2])'
    method: btree
  i_articles_categorie_section_id3:
    column: '(categorie_section_id[3])'
    method: btree
  i_articles_classification_atc_1_id:
    column: classification_atc_1_id
    method: btree
  i_articles_classification_atc_2_id:
    column: classification_atc_2_id
    method: btree
  i_articles_classification_atc_3_id:
    column: classification_atc_3_id
    method: btree
  i_articles_classification_atc_4_id:
    column: classification_atc_4_id
    method: btree
  i_articles_classification_atc_id:
    column: classification_atc_id
    method: btree
  i_articles_classification_atc_section_id1:
    column: '(classification_atc_section_id[1])'
    method: btree
  i_articles_classification_atc_section_id2:
    column: '(classification_atc_section_id[2])'
    method: btree
  i_articles_classification_atc_section_id3:
    column: '(classification_atc_section_id[3])'
    method: btree
  i_articles_compte_id:
    column: compte_id
    method: btree
  i_articles_compte_section_id1:
    column: '(compte_section_id[1])'
    method: btree
  i_articles_compte_section_id2:
    column: '(compte_section_id[2])'
    method: btree
  i_articles_compte_section_id3:
    column: '(compte_section_id[3])'
    method: btree
  i_articles_famille_id:
    column: famille_id
    method: btree
  i_articles_famille_section_id1:
    column: '(famille_section_id[1])'
    method: btree
  i_articles_famille_section_id2:
    column: '(famille_section_id[2])'
    method: btree
  i_articles_famille_section_id3:
    column: '(famille_section_id[3])'
    method: btree
  i_articles_lpp_id:
    column: lpp_id
    method: btree
  i_articles_oid:
    column: oid
    method: btree
  i_articles_ref_fournisseur_id:
    column: ref_fournisseur_id
    method: btree
  i_articles_section_id1:
    column: '(section_id[1])'
    method: btree
  i_articles_section_id2:
    column: '(section_id[2])'
    method: btree
  i_articles_section_id3:
    column: '(section_id[3])'
    method: btree
  i_articles_sous_categorie_id:
    column: sous_categorie_id
    method: btree
  i_articles_sous_categorie_section_id1:
    column: '(sous_categorie_section_id[1])'
    method: btree
  i_articles_sous_categorie_section_id2:
    column: '(sous_categorie_section_id[2])'
    method: btree
  i_articles_sous_categorie_section_id3:
    column: '(sous_categorie_section_id[3])'
    method: btree
  i_articles_sous_famille_id:
    column: sous_famille_id
    method: btree
  i_articles_sous_famille_section_id1:
    column: '(sous_famille_section_id[1])'
    method: btree
  i_articles_sous_famille_section_id2:
    column: '(sous_famille_section_id[2])'
    method: btree
  i_articles_sous_famille_section_id3:
    column: '(sous_famille_section_id[3])'
    method: btree
  i_articles_type_id:
    column: type_id
    method: btree
  i_articles_type_section_id1:
    column: '(type_section_id[1])'
    method: btree
  i_articles_type_section_id2:
    column: '(type_section_id[2])'
    method: btree
  i_articles_type_section_id3:
    column: '(type_section_id[3])'
    method: btree
  i_articles_ucd_id:
    column: ucd_id
    method: btree
  i_articles_unite_distribution_id:
    column: unite_distribution_id
    method: btree
  i_articles_unite_distribution_section_id1:
    column: '(unite_distribution_section_id[1])'
    method: btree
  i_articles_unite_distribution_section_id2:
    column: '(unite_distribution_section_id[2])'
    method: btree
  i_articles_unite_distribution_section_id3:
    column: '(unite_distribution_section_id[3])'
    method: btree
  i_articles_unite_stockage_id:
    column: unite_stockage_id
    method: btree
  i_articles_unite_stockage_section_id1:
    column: '(unite_stockage_section_id[1])'
    method: btree
  i_articles_unite_stockage_section_id2:
    column: '(unite_stockage_section_id[2])'
    method: btree
  i_articles_unite_stockage_section_id3:
    column: '(unite_stockage_section_id[3])'
    method: btree